Summary:	Dynamic menu library and client program inspired by dmenu
Name:		bemenu
Version:	0.6.14
Release:	1
License:	LGPL v3+, GPL v3+
Group:		Applications
Source0:	https://github.com/Cloudef/bemenu/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	51de8e14fef18cf10c1d13dd8aaf3aa5
URL:		https://github.com/Cloudef/bemenu
BuildRequires:	cairo-devel
BuildRequires:	ncurses-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	scdoc
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libxkbcommon-devel
Requires:	bemenu-renderer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dynamic menu library and client program inspired by dmenu.

%package renderer-curses
Summary:	Curses renderer for bemenu
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	bemenu-renderer

%description renderer-curses
Curses renderer for bemenu.

%package renderer-wayland
Summary:	Wayland renderer for bemenu
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	bemenu-renderer

%description renderer-wayland
Wayland renderer for bemenu.

%package renderer-x11
Summary:	X11 renderer for bemenu
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	bemenu-renderer

%description renderer-x11
X11 renderer for bemenu.

%package devel
Summary:	Header files for bemenu
Group:		Development/Libraries

%description devel
Header files for bemenu.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	CPPFLAGS="%{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	PREFIX=%{_prefix} \
	libdir=/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	libdir=/%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/bemenu
%attr(755,root,root) %{_bindir}/bemenu-run
%attr(755,root,root) %{_libdir}/libbemenu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbemenu.so.0
%dir %{_libdir}/bemenu
%{_mandir}/man1/bemenu.1*

%files renderer-curses
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bemenu/bemenu-renderer-curses.so

%files renderer-wayland
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bemenu/bemenu-renderer-wayland.so

%files renderer-x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bemenu/bemenu-renderer-x11.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbemenu.so
%{_includedir}/bemenu.h
%{_pkgconfigdir}/bemenu.pc
%changelog
* Sat Dec 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bemenu.git;a=log;h=master

* Fri Dec 16 2022 Jan Palus <atler@pld-linux.org> 8208042
- up to 0.6.14

* Tue Oct 11 2022 Jan Palus <atler@pld-linux.org> 8e1855f
- up to 0.6.13

* Sun Oct 09 2022 Jan Palus <atler@pld-linux.org> a269fcd
- up to 0.6.12

* Fri Oct 07 2022 Jan Palus <atler@pld-linux.org> 0cc36ff
- up to 0.6.11

* Wed Jul 06 2022 Jan Palus <atler@pld-linux.org> 75a8a8d
- up to 0.6.10

* Tue Jul 05 2022 Jan Palus <atler@pld-linux.org> dd3b78c
- up to 0.6.9

* Thu Jun 30 2022 Jan Palus <atler@pld-linux.org> bf415b1
- up to 0.6.8

* Sat Mar 19 2022 Jan Palus <atler@pld-linux.org> aa0f01d
- new

